load('Figure7Data.mat');

% tc vs alpha
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1);
set(gcf,'Position',[0 0 240 240],'Color','w');
loglog(alpha,tc(1,:),'k-','Linewidth',1)
hold on
loglog(alpha,tc(2,:),'k-','Linewidth',1)
loglog(alpha,tc(3,:),'k-','Linewidth',1)
loglog(alpha_FEM,tc_FEM,'k.','MarkerSize',10)
axis([1e-5 1e-1 1e0 1e5]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [1e-5,1e-4,1e-3,1e-2,1e-1];
ax.YTick = [1e0,1e1,1e2,1e3,1e4,1e5];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$\alpha$','fontsize',12,'Interpreter','Latex')
ylabel('$t_c$','fontsize',12,'Interpreter','Latex')
AnnotationText1 = annotation('textbox', [0.32,0.3,0.1,0.1],...
                        'String','$V_*$ increasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow1 = annotation('arrow',[0.3 0.4],[0.35 0.45],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Tc vs Vstar
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(2);
set(gcf,'Position',[0 0 240 240],'Color','w');
plot(Vstar,Tc(:,1),'k-')
hold on
plot(Vstar,Tc(:,2),'k-')
plot(Vstar,Tc(:,3),'k-')
plot(Vstar,Tc(:,4),'k-')
plot(Vstar,Tc0,'k--','LineWidth',2)
axis([0 10 0 1.5]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [0,2,4,6,8,10];
ax.YTick = [0,0.5,1,1.5];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$V_*$','fontsize',12,'Interpreter','Latex')
ylabel('$T_c$','fontsize',12,'Interpreter','Latex')
AnnotationText3 = annotation('textbox', [0.55,0.32,0.1,0.1],...
                        'String','$\mathcal{E}$ increasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow3 = annotation('arrow',[0.6 0.5],[0.3 0.4],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Relative Error for Tc0
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(3);
set(gcf,'Position',[0 0 240 240],'Color','w');
semilogx(mathcalE,RelativeError(1,:),'k-','Linewidth',1)
hold on
semilogx(mathcalE,RelativeError(2,:),'k-','Linewidth',1)
semilogx(mathcalE,RelativeError(3,:),'k-','Linewidth',1)
axis([1e-2 1e1 0 0.4]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [1e-2,1e-1,1e0,1e1];
ax.YTick = [0,0.1,0.2,0.3,0.4];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$\mathcal{E}$','fontsize',12,'Interpreter','Latex')
ylabel('$(T_c - T_{c0})/T_c$','fontsize',12,'Interpreter','Latex')
AnnotationText2 = annotation('textbox', [0.35,0.65,0.1,0.1],...
                        'String','$V_*$ increasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow2 = annotation('arrow',[0.47 0.57],[0.67 0.57],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%